import asyncio

from v6d0auth.run_app import run_app

from v6d1tokens.app import V6D1TokensAppFactory
from v6d1tokens.tdb import TDB


async def main():
    tdb = TDB()
    async with tdb.db:
        await run_app(V6D1TokensAppFactory(tdb).app())


if __name__ == '__main__':
    asyncio.run(main())
